import request from '@/utils/request'

// 查询塔基检测配置列表
export function listTowerProjectConfig(query) {
  return request({
    url: '/device/towerProjectConfig/list',
    method: 'get',
    params: query
  })
}

// 查询塔基检测配置详细
export function getTowerProjectConfig(id) {
  return request({
    url: '/device/towerProjectConfig/' + id,
    method: 'get'
  })
}

// 新增塔基检测配置
export function addTowerProjectConfig(data) {
  return request({
    url: '/device/towerProjectConfig',
    method: 'post',
    data: data
  })
}

// 修改塔基检测配置
export function updateTowerProjectConfig(data) {
  return request({
    url: '/device/towerProjectConfig',
    method: 'put',
    data: data
  })
}

// 删除塔基检测配置
export function delTowerProjectConfig(id) {
  return request({
    url: '/device/towerProjectConfig/' + id,
    method: 'delete'
  })
}
